#### D.6.13.2 gmsnf

Procedure from library `gmssing.lib` (see gmssing_lib).

Usage:
  gmsnf(p,K); poly p, int K

Assume:
  basering returned by gmsring

Return:
  list nf;
  ideal nf[1]; projection of p to <gmsbasis>C[[s]] mod s^(K+1) ideal nf[2]; p==nf[1]+nf[2]

Note:
  computation can be continued by setting p=nf[2]

Example:

    LIB "gmssing.lib";
    ring R=0,(x,y),ds;
    poly t=x5+x2y2+y5;
    def G=gmsring(t,"s");
    setring(G);
    list l0=gmsnf(gmspoly,0);
    print(l0[1]);
    ==> -1/2y5
    list l1=gmsnf(gmspoly,1);
    print(l1[1]);
    ==> -1/2y5+1/2s
    list l=gmsnf(l0[2],1);
    print(l[1]);
    ==> 1/2s

User manual for Singular version 4.4.1, 2025, generated by texi2html.